package org.project.abilities;

import org.project.entity.Entity;

public class LifeSteal extends SpecialAbility{

    /*

        vampire use this special ability
        its bite's the enemy's nek


     */

    private final int healAmount = 15;

    public LifeSteal() {

        super("SuckingBlood",15, 1,AbilityTarget.SELF);
    }

    @Override
    public void onApply(Entity target) {
        super.onApply(target);
    }

    @Override
    public void onTick(Entity self) {
        self.heal(healAmount);
        System.out.println(self.getName() + " healed for " + healAmount + " (LifeSteal)");
        reduceDuration();
    }

    @Override
    public void onExpire(Entity self) {
        System.out.println(self.getName() + "'s special ability onExpired");
    }
}
